<?
// Ermglicht UBB-Code
////////////////////////////////////////////////////////////////////////////////
//                                                                            //
//  phpMyBoardCode (Version 1.01.1103)                                        //
//  Copyright (c) by kallectronic                                             //
//  Autor: Karl Frster (k.foerster@kallectronic.de)                          //
//                                                                            //
////////////////////////////////////////////////////////////////////////////////

class myBoardCodeTag {
  var $str_search;
  var $str_replace;
	var $casesensitiv;

  function myBoardCodeTag ($search, $replace, $casesensitiv = false) {
    $this->str_search     = $search;
    $this->str_replace    = $replace;
		$this->casesensitiv   = $casesensitiv;
  }
}

  $myBoardCodeTag_bold             = new myBoardCodeTag("(\[b\])(.*)(\[/b\])", "<b>\\2</b>");
  $myBoardCodeTag_italic           = new myBoardCodeTag("(\[i\])(.*)(\[/i\])", "<i>\\2</i>");
  $myBoardCodeTag_underline        = new myBoardCodeTag("(\[u\])(.*)(\[/u\])", "<u>\\2</u>");
	$myBoardCodeTag_strike           = new myBoardCodeTag("(\[s\])(.*)(\[/s\])", "<s>\\2</s>");

  $myBoardCodeTag_url1             = new myBoardCodeTag("(\[url\])(.*)(\[/url\])", "<a href=\"\\2\" target=\"_blank\">\\2</a>");
  $myBoardCodeTag_url2             = new myBoardCodeTag("(\[url\=)(.*)(\])(.*)(\[/url\])", "<a href=\"\\2\" target=\"_blank\">\\4</a>");

  $myBoardCodeTag_email1           = new myBoardCodeTag("(\[email\])(.*)(\[/email\])", "<a href=\"mailto:\\2\">\\2</a>");
  $myBoardCodeTag_email2           = new myBoardCodeTag("(\[email\=)(.*)(\])(.*)(\[/email\])", "<a href=\"mailto:\\2\">\\4</a>");

  $myBoardCodeTag_code             = new myBoardCodeTag("(\[code\])(.*)(\[/code\])", "<table width=\"90%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr><td bgcolor=\"#000000\"><table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"1\"><tr><td bgcolor=\"#FFFFFF\" class=\"verdanasmall\">Quellcode:\n\\2</td></tr></table></td></tr></table>");
  $myBoardCodeTag_quote            = new myBoardCodeTag("(\[quote\])(.*)(\[/quote\])", "<table width=\"90%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\"><tr><td bgcolor=\"#000000\"><table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"1\"><tr><td bgcolor=\"#FFFFFF\" class=\"verdanasmall\">Quote:\n\\2</td></tr></table></td></tr></table>");

  $myBoardCodeTag_list             = new myBoardCodeTag("(\[list\])(.*)(\[/list\])", "<ul>\\2</ul>");
  $myBoardCodeTag_ul_ol            = new myBoardCodeTag("(\[list\=)(ol|ul)(\])(.*)(\[/list\])", "<\\2>\\4</\\2>");
  $myBoardCodeTag_li               = new myBoardCodeTag("(\[\*\])(.*)", "<li>\\2</li>");
  $myBoardCodeTag_img              = new myBoardCodeTag("(\[img\=)(.*)(\])", "<img src=\"\\2\" border=\"0\" align=\"left\">");


  $myBoardCodeTags               = array (
							$myBoardCodeTag_bold,
							$myBoardCodeTag_italic,
							$myBoardCodeTag_underline,
							$myBoardCodeTag_strike,
							$myBoardCodeTag_url1,
							$myBoardCodeTag_url2,
							$myBoardCodeTag_email1,
							$myBoardCodeTag_email2,
							$myBoardCodeTag_code,
							$myBoardCodeTag_quote,
							$myBoardCodeTag_list,
							$myBoardCodeTag_ul_ol,
							$myBoardCodeTag_li,
							$myBoardCodeTag_img,
                          );

function Filter_myBoardCodeTags ($text, $myBoardCodeTags, $drophtmltags = false) {

  if (isset ($text)) {

    $s = $text;


    //$s = htmlspecialchars ($s);
    //$s = htmlentities ($s);

		if ($drophtmltags) {
			$s = strip_tags ($s);
		}


    for ($i = 0; $i < Count ($myBoardCodeTags); $i++) {
			$pattern = "=" . $myBoardCodeTags[$i]->str_search . "=sU";
			if (!$myBoardCodeTags[$i]->casesensitiv) { $pattern .= "i"; }
      $s = preg_replace ($pattern, $myBoardCodeTags[$i]->str_replace, $s);
    }

    $s = nl2br ($s);
    $s = stripslashes ($s);

    return $s;

  }

  return $text;
}
// Fgt Smilie-Grafiken ein
function smilies($text)
{ 
 $path="bilder/smilies";
  $text = str_replace("8)","<img src=\"$path/yellowbigeek.gif\"  border=\"0\">",$text);
  $text = str_replace(":D","<img src=\"$path/yellowbiggrin.gif\"  border=\"0\">",$text);
  $text = str_replace(":P","<img src=\"$path/yellowbigrazz.gif\"  border=\"0\">",$text);
  $text = str_replace("???","<img src=\"$path/yellowconfusedw.gif\"  border=\"0\">",$text);
  $text = str_replace(":cool:","<img src=\"$path/yellowcool.gif\"  border=\"0\">",$text);
  $text = str_replace(":(","<img src=\"$path/yellowcry.gif\"  border=\"0\">",$text);
  $text = str_replace(":dead:","<img src=\"$path/yellowdead.gif\"  border=\"0\">",$text);
  $text = str_replace("lol","<img src=\"$path/yellowlaugh.gif\"  border=\"0\">",$text);      
  $text = str_replace("]:(","<img src=\"$path/yellowmad.gif\"  border=\"0\">",$text);  
  $text = str_replace(":no:","<img src=\"$path/yellowno.gif\"  border=\"0\">",$text);
  $text = str_replace(":|","<img src=\"$path/yellownone.gif\"  border=\"0\">",$text);
  $text = str_replace(":rolleyes:","<img src=\"$path/yellowrolleyes.gif\"  border=\"0\">",$text);
  $text = str_replace(":(","<img src=\"$path/yellowsad.gif\"  border=\"0\">",$text);
  $text = str_replace(":shy:","<img src=\"$path/yellowshy.gif\"  border=\"0\">",$text);
  $text = str_replace(":sigh:","<img src=\"$path/yellowsighw.gif\"  border=\"0\">",$text);  
  $text = str_replace(":zzz:","<img src=\"$path/yellowsleepw.gif\"  border=\"0\">",$text);  
  $text = str_replace(":)","<img src=\"$path/yellowsmile.gif\"  border=\"0\">",$text);
  $text = str_replace(";)","<img src=\"$path/yellowsmilewinkgrin.gif\"  border=\"0\">",$text);
  $text = str_replace(":grrr:","<img src=\"$path/yellowupsetw.gif\"  border=\"0\">",$text);
  $text = str_replace(":yes:","<img src=\"$path/yellowyes.gif\"  border=\"0\">",$text);
  
  return $text;
}
?>